#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		neochat
Version: 24.08.1
Release:	%mkrel %{rel}
Summary:	Client for matrix, the decentralized communication protocol
Group:		Graphical desktop/KDE
License:	GPLv2 and GPLv2+ and GPLv3 and GPLv3+ and BSD
URL:		https://apps.kde.org/neochat/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Does not build on 32bit
ExcludeArch:	%{ix86}
# Proposed upstream

BuildRequires:	kf6-rpm-macros
BuildRequires:	reuse

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6WebView)

BuildRequires:	cmake(KF6Kirigami2)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6ItemModels)
BuildRequires:	cmake(KF6ColorScheme)
BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KF6QQC2DesktopStyle)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6SyntaxHighlighting)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	cmake(Olm)
BuildRequires:	cmake(QuotientQt6)
BuildRequires:	cmake(QCoro6)
BuildRequires:	cmake(KQuickImageEditor) >= 0.3.0
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(sqlite3)

BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	kquickcharts
BuildRequires:	qt6-qtlocation
BuildRequires:	prison
BuildRequires:	syntax-highlighting

Requires:	kirigami-addons
Requires:	kirigami
Requires:	kitemmodels
Requires:	kquickimageeditor
Requires:	kquickcharts
Requires:	qt6-qtmultimedia
Requires:	qt6-qtlocation
Requires:	qt6-qtpositioning
Requires:	qt6-qtwebview
Requires:	prison
Requires:	syntax-highlighting

%description
Neochat is a client for Matrix, the decentralized communication protocol for
instant messaging. It is a fork of Spectral, using KDE frameworks, most
notably Kirigami, KConfig and KI18n.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/%{name}*.categories
%{_kf6_bindir}/%{name}
%{_kf6_plugindir}/purpose/neochatshareplugin.so
%{_kf6_datadir}/krunner/dbusplugins/plasma-runner-neochat.desktop
%{_kf6_applicationsdir}/*.desktop
%{_kf6_iconsdir}/hicolor/*/apps/*
%{_kf6_metainfodir}/*.appdata.xml
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_mandir}/man1/%{name}.1.*

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man


%changelog
* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097529
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087721
- New version 24.08.0

* Thu Aug 22 2024 daviddavid <daviddavid> 24.07.90-2.mga10
+ Revision: 2087404
- rebuild for new cmark 0.31.1

* Sun Aug 11 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085697
- New version 24.07.90
- add missing runtime dependency on qt6-qtwebview
- add missing runtime dependency on qt6-qtmultimedia (mga#33366)

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073337
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071613
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058731
- New version 24.02.2

* Tue Mar 19 2024 daviddavid <daviddavid> 24.02.0-2.mga10
+ Revision: 2050785
- rebuild for new cmark 0.31.0

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045268
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037767
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033889
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025266
- New version 24.01.85

* Sun Nov 19 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2007766
- New version 24.01.75
- switch to Qt6/KF6

* Wed Oct 11 2023 daviddavid <daviddavid> 23.08.1-2.mga10
+ Revision: 1994643
- add missing dependency on qtpositioning5

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990067
- New version 23.08.1

* Tue Sep 05 2023 daviddavid <daviddavid> 23.04.1-3.mga10
+ Revision: 1984419
- add patch to fix build for libquotient-0.8.x
- add patch to enforce E2EE enabled in libQuotient 0.8.x
- rebuild for new libquotient 0.8.1.1

* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1959646
- enable sqlite3 support
- New version 23.04.1

* Sun Feb 19 2023 daviddavid <daviddavid> 22.11-3.mga9
+ Revision: 1944156
- rebuild for new cmark

* Thu Dec 22 2022 daviddavid <daviddavid> 22.11-2.mga9
+ Revision: 1925723
- rebuild against libquotient 0.7.0 with E2EE support enabled

* Sat Dec 03 2022 daviddavid <daviddavid> 22.11-1.mga9
+ Revision: 1915941
- new version: 22.11

* Mon Nov 07 2022 daviddavid <daviddavid> 22.09-1.mga9
+ Revision: 1904318
- new version: 22.09

* Thu Aug 25 2022 papoteur <papoteur> 22.06-1.mga9
+ Revision: 1880366
- new 22.06

* Wed Apr 06 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1846203
- Mageia 9 Mass Rebuild

* Sun Apr 03 2022 neoclust <neoclust> 1.2.0-1.mga9
+ Revision: 1842744
- Rebuild against new libcmark
- New version 1.2.0

* Thu Feb 25 2021 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1690714
- new version: 1.1.1

* Thu Jan 14 2021 daviddavid <daviddavid> 1.0.1-2.mga8
+ Revision: 1671734
- add missing runtime depencency on kitemmodels

* Thu Jan 14 2021 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1671733
- initial package neochat

